package com.muyu.marketing.domain.req;


import com.muyu.marketing.domain.model.ActivityTeamProductSkuAddModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuUpdModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 *（团购活动修改SKU参数）
 * @author DongZeLiang
 * @date 2024-11-27 14:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductUpdCheckReq {

    /**
     * 修改商品规格List
     */
    private List<ActivityTeamProductSkuUpdModel> skuUpdateList;
    /**
     * 删除商品规格IdList
     */
    private List<Long> skuByIdDeleteList;
    /**
     * 添加商品规格List
     */
    private List<ActivityTeamProductSkuAddModel> skuAddList;

}
